
pragma SPARK_Mode (On);

with Types, Ada.Numerics.Discrete_Random;
use  Types;

package Failure_Drv
is   
   
   -- sampling space.
   type Prb is range 0 .. 25_000_000;
   
   -- random number generator that samples Prb.
   package Rnd is new Ada.Numerics.Discrete_Random(Prb);
   
   G : Rnd.Generator; -- generator.
   
   -- initialize random number generator.
   procedure Init
     with Global => (Output => G);
   
   -- sample random number generator.
   procedure Read (F : out Boolean)
     with Global => (In_Out => G);
   
end Failure_Drv;
