with Types, Ada.Numerics.Float_Random;
use  Types;

package body Inertia_Drv is
   
   procedure Init
   is
   begin
      Rnd.Reset(G);
   end Init;
   
   procedure Read ( X : out Magnitude ;
                    Y : out Magnitude ;
                    A : out Angle )
   is
   begin
      --X := ( 1_000.0 * (Rnd.Random(G) - 0.5) );    -- missile swerves left and right along X-axis
      X := 0.0;                                      -- missile does not move along X-axis
      Y := ( 500_000_000_000.0 * (Rnd.Random(G)) );  -- missile always moves up Y-axis
      A := ( Two_Pi  * (Rnd.Random(G)) );            -- very small rotations
   end Read;
   
end Inertia_Drv;
