
pragma SPARK_Mode (On);

with Types, Ada.Numerics.Float_Random;
use  Types;

package Inertia_Drv
is   
   
   -- random number generator that samples 0.0 .. 1.0
   package Rnd renames Ada.Numerics.Float_Random;

   G : Rnd.Generator; -- generator.
   
   -- initialize random number generator.
   procedure Init
     with Global => (Output => G);
   
   -- sample random number generator.
   procedure Read ( X : out Magnitude ;
                    Y : out Magnitude ;
                    A : out Angle )
     with Global => (In_Out => G);
   
end Inertia_Drv;
