
pragma SPARK_Mode (On);

with Types, Failure, Inertia, Clock, State, Destruct, Detonate, Steer;
use  Types;

procedure Main
is
   procedure Init 
   is
   begin
      -- sensors
      Failure . Init;
      Inertia . Init;
      Clock   . Init;
      
      -- actuators
      Destruct. Init;
      Steer   . Init;
      Detonate. Init;
   end Init;
   
   procedure Sense 
   is
   begin
      Failure . Sense;
      Inertia . Sense;
      Clock   . Sense;
   end Sense;
   
   procedure Control 
   is separate;
   
   procedure Actuate 
   is
   begin
      Steer   . Actuate;
   end Actuate;
   
begin
   
   Init;
   
   while not State.Destruct 
     and not State.Detonate 
   loop
      Sense;
      Control;
      Actuate;
   end loop;
   
   if State.Destruct then
      Destruct.Actuate;
   elsif State.Detonate then
      Detonate.Actuate;
   end if;
   
end Main;
