
with Types;
use  Types;

package Inertia 
  with Initializes => (X_Acc_Meter, Y_Acc_Meter, Z_Ang_Meter)
is
   
   X_Acc_Meter : Magnitude := 0.0 with Volatile, Async_Writers;
   Y_Acc_Meter : Magnitude := 0.0 with Volatile, Async_Writers;
   Z_Ang_Meter : Angle     := 0.0 with Volatile, Async_Writers;
   
   procedure Sense ( X_Acc, Y_Acc : out Magnitude ; Z_Ang : out Angle )
     with 
     Global  => (Input => (X_Acc_Meter, Y_Acc_Meter, Z_Ang_Meter) ) ,
     Depends => (X_Acc => X_Acc_Meter, Y_Acc => Y_Acc_Meter, Z_Ang => Z_Ang_Meter );
     
end Inertia;
